## org.apache.lucene.codecs.lucene3x
Class PreFlexRWCodec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.lucene3x.Lucene3xCodec
              org.apache.lucene.codecs.lucene3x.PreFlexRWCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class PreFlexRWCodec

extends Lucene3xCodec

Writes 3.x-like indexes (not perfect emulation yet) for testing only!

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`PreFlexRWCodec()`

Method Summary
`FieldInfosFormat` `fieldInfosFormat()`
`NormsFormat` `normsFormat()`
`PostingsFormat` `postingsFormat()`
`SegmentInfoFormat` `segmentInfoFormat()`
`StoredFieldsFormat` `storedFieldsFormat()`
`TermVectorsFormat` `termVectorsFormat()`

Methods inherited from class org.apache.lucene.codecs.lucene3x.Lucene3xCodec
`docValuesFormat, getDocStoreFiles, liveDocsFormat`

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreFlexRWCodec

    public PreFlexRWCodec()

Method Detail

### postingsFormat

    public PostingsFormat postingsFormat()

  Overrides:
    `postingsFormat` in class `Lucene3xCodec`

### normsFormat

    public NormsFormat normsFormat()

  Overrides:
    `normsFormat` in class `Lucene3xCodec`

### segmentInfoFormat

    public SegmentInfoFormat segmentInfoFormat()

  Overrides:
    `segmentInfoFormat` in class `Lucene3xCodec`

### fieldInfosFormat

    public FieldInfosFormat fieldInfosFormat()

  Overrides:
    `fieldInfosFormat` in class `Lucene3xCodec`

### termVectorsFormat

    public TermVectorsFormat termVectorsFormat()

  Overrides:
    `termVectorsFormat` in class `Lucene3xCodec`

### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

  Overrides:
    `storedFieldsFormat` in class `Lucene3xCodec`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.